#
# Makefile for Linux arch/m68k/atari source directory
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile...

.c.s:
	$(CC) $(CFLAGS) -S $<
.c.o:
	$(CC) $(CFLAGS) -c $<
.s.o:
	$(AS) -o $*.o $<

CFLAGS := $(CFLAGS) -Wa,-m68030

OBJS	= config.o atakeyb.o ataints.o atapart.o stdma.o atasound.o \
	  joystick.o stram.o atafb.o $(SYMTAB_OBJS)

SYMTAB_OBJS = ataksyms.o

all: atari.o

include ../../../versions.mk

atari.o: $(OBJS)
	$(LD) -r -o atari.o $(OBJS)

clean:
	$(RM) $(RMFLAGS) *.o *.a

dep:
	$(CPP) -M *.c > .depend

modules:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
